package textures.player.items.crudeaxe;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class CrudeAxeWalkTextures {

	public static void getTextures(BufferedImage image){
		/*** SOUTH WALK ***/
		Textures.crudeAxeSheet[32] = Utils.grabSprite(image, 5, 1, 40, 72);
		Textures.crudeAxeSheet[33] = Utils.grabSprite(image, 6, 1, 40, 72);
		Textures.crudeAxeSheet[34] = Utils.grabSprite(image, 7, 1, 40, 72);
		Textures.crudeAxeSheet[35] = Utils.grabSprite(image, 8, 1, 40, 72);
		Textures.crudeAxeSheet[36] = Utils.grabSprite(image, 9, 1, 40, 72);
		Textures.crudeAxeSheet[37] = Utils.grabSprite(image, 10, 1, 40, 72);

		/*** NORTH WALK ***/
		Textures.crudeAxeSheet[38] = Utils.grabSprite(image, 5, 2, 40, 72);
		Textures.crudeAxeSheet[39] = Utils.grabSprite(image, 6, 2, 40, 72);
		Textures.crudeAxeSheet[40] = Utils.grabSprite(image, 7, 2, 40, 72);
		Textures.crudeAxeSheet[41] = Utils.grabSprite(image, 8, 2, 40, 72);
		Textures.crudeAxeSheet[42] = Utils.grabSprite(image, 9, 2, 40, 72);
		Textures.crudeAxeSheet[43] = Utils.grabSprite(image, 10, 2, 40, 72);

		/*** WEST WALK ***/
		Textures.crudeAxeSheet[44] = Utils.grabSprite(image, 5, 3, 40, 72);
		Textures.crudeAxeSheet[45] = Utils.grabSprite(image, 6, 3, 40, 72);
		Textures.crudeAxeSheet[46] = Utils.grabSprite(image, 7, 3, 40, 72);
		Textures.crudeAxeSheet[47] = Utils.grabSprite(image, 8, 3, 40, 72);
		Textures.crudeAxeSheet[48] = Utils.grabSprite(image, 9, 3, 40, 72);
		Textures.crudeAxeSheet[49] = Utils.grabSprite(image, 10, 3, 40, 72);

		/*** EAST WALK ***/
		Textures.crudeAxeSheet[50] = Utils.grabSprite(image, 5, 4, 40, 72);
		Textures.crudeAxeSheet[51] = Utils.grabSprite(image, 6, 4, 40, 72);
		Textures.crudeAxeSheet[52] = Utils.grabSprite(image, 7, 4, 40, 72);
		Textures.crudeAxeSheet[53] = Utils.grabSprite(image, 8, 4, 40, 72);
		Textures.crudeAxeSheet[54] = Utils.grabSprite(image, 9, 4, 40, 72);
		Textures.crudeAxeSheet[55] = Utils.grabSprite(image, 10, 4, 40, 72);

		/*** NORTHWEST WALK ***/
		Textures.crudeAxeSheet[56] = Utils.grabSprite(image, 5, 5, 40, 72);
		Textures.crudeAxeSheet[57] = Utils.grabSprite(image, 6, 5, 40, 72);
		Textures.crudeAxeSheet[58] = Utils.grabSprite(image, 7, 5, 40, 72);
		Textures.crudeAxeSheet[59] = Utils.grabSprite(image, 8, 5, 40, 72);
		Textures.crudeAxeSheet[60] = Utils.grabSprite(image, 9, 5, 40, 72);
		Textures.crudeAxeSheet[61] = Utils.grabSprite(image, 10, 5, 40, 72);

		/*** NORTHEAST WALK ***/
		Textures.crudeAxeSheet[62] = Utils.grabSprite(image, 5, 6, 40, 72);
		Textures.crudeAxeSheet[63] = Utils.grabSprite(image, 6, 6, 40, 72);
		Textures.crudeAxeSheet[64] = Utils.grabSprite(image, 7, 6, 40, 72);
		Textures.crudeAxeSheet[65] = Utils.grabSprite(image, 8, 6, 40, 72);
		Textures.crudeAxeSheet[66] = Utils.grabSprite(image, 9, 6, 40, 72);
		Textures.crudeAxeSheet[67] = Utils.grabSprite(image, 10, 6, 40, 72);

		/*** SOUTHWEST WALK ***/
		Textures.crudeAxeSheet[68] = Utils.grabSprite(image, 5, 7, 40, 72);
		Textures.crudeAxeSheet[69] = Utils.grabSprite(image, 6, 7, 40, 72);
		Textures.crudeAxeSheet[70] = Utils.grabSprite(image, 7, 7, 40, 72);
		Textures.crudeAxeSheet[71] = Utils.grabSprite(image, 8, 7, 40, 72);
		Textures.crudeAxeSheet[72] = Utils.grabSprite(image, 9, 7, 40, 72);
		Textures.crudeAxeSheet[73] = Utils.grabSprite(image, 10, 7, 40, 72);

		/*** SOUTHEAST WALK ***/
		Textures.crudeAxeSheet[74] = Utils.grabSprite(image, 5, 8, 40, 72);
		Textures.crudeAxeSheet[75] = Utils.grabSprite(image, 6, 8, 40, 72);
		Textures.crudeAxeSheet[76] = Utils.grabSprite(image, 7, 8, 40, 72);
		Textures.crudeAxeSheet[77] = Utils.grabSprite(image, 8, 8, 40, 72);
		Textures.crudeAxeSheet[78] = Utils.grabSprite(image, 9, 8, 40, 72);
		Textures.crudeAxeSheet[79] = Utils.grabSprite(image, 10, 8, 40, 72);
	}
}
